Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Repository Scan Policies

GET
/registry/v1/workspaces/{workspace}/namespaces/{namespace}/repositories/{repository}/scan-policies
curl --request GET \
--url https://example.com/registry/v1/workspaces/example/namespaces/example/repositories/example/scan-policies

Returns a page of scan policies bound to the given Image Repository, filtered by AIP-160 expression and ordered per AIP-132.

workspace
required
string
namespace
required
string
repository
required
string
page_size
integer format: int32

The maximum number of scan policies to return. The service may return fewer than this value. If unspecified, at most 20 scan policies will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string
filter
string
order_by
string

OK

Media type application/json

ListRepositoryScanPoliciesResponse

Response message for ListRepositoryScanPolicies. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
scan_policies
Array<object>
object
id
stringOutput only
scope_type
required
string format: enum
Allowed values: POLICY_SCOPE_TYPE_UNSPECIFIED POLICY_SCOPE_TYPE_NAMESPACE POLICY_SCOPE_TYPE_REPOSITORY
scope_id
required
string
auto_scan_on_push
boolean
block_on_critical_cve
boolean
cve_allowlist
Array<string>
created
string format: date-time Output only
updated
string format: date-time Output only
next_page_token
string
Example
{
"scan_policies": [
{
"scope_type": "POLICY_SCOPE_TYPE_UNSPECIFIED"
}
]
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}